Issue Faced and their solution during Installation of Oracle R12.1.1 on Linux

#################### Issue Start #######################
Issue faced ->
At the last stage of the installation the installer are unable to test the login
url, help page etc.. From the log file we get the following information ->

HTTP
   checking URL = http://ffflinux01.xxx.com:8002
   RW-50015: Error: - HTTP Listener is not responding. The service might not have started on the port yet. Please check the service and use the retry button.

Help Page
   RW-50015: Error: - Help Page is not responding. The service might not have started on the port yet. Please check the service and use the retry button.

Virtual Directory
   RW-50015: Error: - Http Server Virtual Directories is not responding. The service might not have started on the port yet. Please check the service and use the retry button.

JSP
   RW-50015: Error: - JSP is not responding. The service might not have started on the port yet. Please check the service and use the retry button.

Login Page
   RW-50015: Error: - Login Page is not responding. The service might not have started on the port yet. Please check the service and use the retry button.

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Solution ->

Cause

The cause of this problem has been identified and verified in an unpublished Bug 5682462.

The root cause for all the failures was that Apache (http) didn't start up because of not having latest RPMS as per install documents
After the install, when trying to start up the http server, this happens:
$./adapcctl.sh start
.
You are running adapcctl.sh version 120.6
.
Starting OPMN managed Oracle HTTP Server (OHS) instance ...
.
adapcctl.sh: exiting with status 204
.
adapcctl.sh: check the logfile
$INST_TOP/apps/CONTEXT_NAME/logs/appl/admin/log/adapcctl.txt for more information. 

Permanant solution

Install all the Linux RPMS as per the R12 installation document
Oracle Linux 5*
Red Hat Enterprise Linux 5* (base and Advanced Platform)
Update 1 (5.1) or higher of Oracle Linux 5 is required
Update 1 (5.1) or higher of Red Hat Enterprise Linux (RHEL) 5 is required
The following packages (or versions of packages) are not part of the OS distribution media and must be downloaded separately (from http://oss.oracle.com/projects/compat-oracle/files/Enterprise_Linux/ for both Oracle Linux 5 and RHEL 5) and installed manually:
openmotif21-2.1.30-11.EL5.i3861
xorg-x11-libs-compat-6.8.2-1.EL.33.0.1.i386
For Update 1 or 2:
binutils-2.17.50.0.6-6.0.1.x86_642
For Update 3:
binutils-2.17.50.0.6-9.0.1.x86_642
The following packages must be installed from the Oracle Linux 5 or RHEL 5 distribution media:

required       original [checked by me]    Status

    * gcc-4.1.2-14.el5.x86_64    gcc-4.1.2-48.el5    
    * gcc-c++-4.1.2-14.el5.x86_64   gcc-c++-4.1.2-48.el5  
    * glibc-2.5-18.i686 (32-bit)    NA
    * glibc-2.5-18.x86_64     glibc-2.5-49
    * glibc-common-2.5-18.x86_64   glibc-common-2.5-49
    * glibc-devel-2.5-18.i386 (32-bit)   NA
    * glibc-devel-2.5-18.x86_64    glibc-devel-2.5-49
    * libgcc-4.1.2-14.el5.i386    NA
    * libgcc-4.1.2-14.el5.x86_64                libgcc-4.1.2-48.el5
    * libstdc++-devel-4.1.2-14.el5.i386   NA
    * libstdc++-devel-4.1.2-14.el5.x86_64   libstdc++-devel-4.1.2-48.el5
    * libstdc++-4.1.2-14.el5.i386    NA
    * libstdc++-4.1.2-14.el5.x86_64   libstdc++-4.1.2-48.el5
    * make-3.81-1.1.x86_64    make-3.81-3.el5
    * gdbm-1.8.0-26.2.1.i386    NA
    * gdbm-1.8.0-26.2.1.x86_64    gdbm-1.8.0-26.2.1  
    * libXp-1.0.0-8.1.el5.i386    NA
    * libXp-1.0.0-8.1.el5.x86_64    libXpm-3.5.5-3
    * libaio-0.3.106-3.2.i386    NA
    * libaio-0.3.106-3.2.x86_64    libaio-0.3.106-5
    * libgomp-4.1.2-14.el5.x86_64    libgomp-4.4.0-6.el5
    * sysstat-7.0.0-3.el5.x86_64    Not installed      Install
    * util-linux-2.13-0.45.el5.x86_64   util-linux-2.13-0.52.el5_4.1
    * compat-libstdc++-296-2.96-138.i386   compat-libstdc++-296-2.96-138
    * compat-libstdc++-33-3.2.3-61.i386   compat-libstdc++-33-3.2.3-61

Additionally, the following RPMs are required for an 11gR1 Database (which is bundled with the 12.1.1 release) on the database tier:
compat-libstdc++-33-3.2.3-61.x86_64
elfutils-libelf-devel-0.125-3.el5.x86_64
elfutils-libelf-devel-static-0.125-3.el5.x86_64
libaio-devel-0.3.106-3.2.x86_64
unixODBC-2.2.11-7.1.i386
unixODBC-devel-2.2.11-7.1.i386
unixODBC-2.2.11-7.1.x86_64
unixODBC-devel-2.2.11-7.1.x86_64
kernel-headers-2.6.18-8.el5.x86_64
Note:
1: The openmotif package version must be 2.1.30 (for example, openmotif-2.2.3-10.RHEL4.5 is not supported).
2: This GNU linker (ld) version 2.17 provided by Oracle is required for relinking the modules in Advanced Planning & Scheduling (MSC, MSO, MSR) and Profitability Manager (FEMCCE)

Temporary workaround

Remove the parameter -DSSL in the ohs_start() function as follows:
.
$/ora/10.1.3/Apache/Apache/bin/apachectl:

$ diff apachectl.original apachectl.hacked

129c129,130
> eval ohs_start -DSSL "$args"
---
> # eval ohs_start -DSSL "$args"
> eval ohs_start "$args"

Restart Apache.

In the installation guide, this is what you are supposed to perform at a certain stage:
ln -s /usr/lib/libgdbm.so /usr/lib/libdb.so.2

but in my case it just created a broken link.
I had to use this instead:
ln -s /usr/lib/libgdbm.so.2 /usr/lib/libdb.so.2
Restart the Application and database server.
Start rapid installation again with $rapidwiz -restart

##################### Issue End #####################################


#################### Issue Start #######################
Issue faced ->
After R12.1.1 Oracle EBS the form is showing the following error ->

FRM-92101 oracle.forms.net.ConnectionException: Forms session <1> failed during startup


++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Solution ->

Install all operating system [for our case Linux 5...] related prerequisites.
Link to Motif library in Oracle Application Server 10.1.2 (on Oracle Linux 5 and RHEL 5 only)
Perform the following command (as root on your system) to update a required link to a Motif library prior to relinking or patching the 10.1.2 Application Server Oracle Home ->

# unlink /usr/lib/libXtst.so.6
# ln -s /usr/X11R6/lib/libXtst.so.6.1 /usr/lib/libXtst.so.6
Restart the Application and database server.


##################### Issue End #####################################

2 comments :

don anwer said...

hi my dear ,

i am trying to install EBS R12.1.3 on Windows server 2003, i followed the documents what mentioned in forum.oracle.com, at the end of installation i am getting error message as RW - 50015 for all the below messages

HTTP

------


checking URL = http://oracle.com:8000

RW-50015: Error: - HTTP Listener is not responding. The service might not have started on the port yet. Please check the service and use the retry button.
Help Page

-----------


checking URL = http://oracle.com:8000/OA_HTML/help

RW-50015: Error: - Help Page is not responding. The service might not have started on the port yet. Please check the service and use the retry button.
Virtual Directory

-------------------


RW-50015: Error: - Http Server Virtual Directories is not responding. The service might not have started on the port yet. Please check the service and use the retry button.
JSP

-----


checking URL = http://oracle.com:8000/OA_HTML/jtfTestCookie.jsp

RW-50015: Error: - JSP is not responding. The service might not have started on the port yet. Please check the service and use the retry button.
Login Page

------------


RW-50015: Error: - Login Page is not responding. The service might not have started on the port yet. Please check the service and use the retry button.

unknown writer said...

hi don,
this kind of error occurs mainly due to OS prerequisites mismatch. Please see the installation doc again to find the prereqs mentioned for Windows server 2003.